#ifndef GENETIC_IMAGE_INCLUDE_GENIMG_DRAWING_HH_
#define GENETIC_IMAGE_INCLUDE_GENIMG_DRAWING_HH_

#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>

enum class Shapes { Square, Circle };

void draw_shape(cv::Mat &t_img, cv::Point const &t_top_left, int const t_size,
                cv::Scalar const &t_color, Shapes const &t_shape);

#endif /* GENETIC_IMAGE_INCLUDE_GENIMG_DRAWING_HH_ */
