#ifndef GENETIC_IMAGE_INCLUDE_GENIMG_COMMON_HH_
#define GENETIC_IMAGE_INCLUDE_GENIMG_COMMON_HH_

#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <string>
#include <tuple>
#include <spdlog/spdlog.h>

std::tuple<cv::Mat, cv::Mat> init_image(std::string const &t_input_file);

double euclidian_distance(cv::Mat const &t_img1, cv::Mat const &t_img2);

#endif /* GENETIC_IMAGE_INCLUDE_GENIMG_COMMON_HH_ */
